# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TRenewDelegationTokenReq

Packages that use TRenewDelegationTokenReq
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TRenewDelegationTokenReq in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TRenewDelegationTokenReq
Modifier and Type
Class
Description
`class`
`TRenewDelegationTokenReq`
`class`
`TRenewDelegationTokenReq`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TRenewDelegationTokenReq
Modifier and Type
Field
Description
`TRenewDelegationTokenReq`
TCLIService.RenewDelegationToken_args.`req`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TRenewDelegationTokenReq
Modifier and Type
Method
Description
`TRenewDelegationTokenReq`
TRenewDelegationTokenReq.`deepCopy()`
`TRenewDelegationTokenReq`
TCLIService.RenewDelegationToken_args.`getReq()`
`TRenewDelegationTokenReq`
TRenewDelegationTokenReq.`setDelegationToken(String delegationToken)`
`TRenewDelegationTokenReq`
TRenewDelegationTokenReq.`setSessionHandle(TSessionHandle sessionHandle)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TRenewDelegationTokenReq
Modifier and Type
Method
Description
`int`
TRenewDelegationTokenReq.`compareTo(TRenewDelegationTokenReq other)`
`boolean`
TRenewDelegationTokenReq.`equals(TRenewDelegationTokenReq that)`
`void`
TCLIService.AsyncClient.`RenewDelegationToken(TRenewDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TRenewDelegationTokenResp> resultHandler)`
`void`
TCLIService.AsyncIface.`RenewDelegationToken(TRenewDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TRenewDelegationTokenResp> resultHandler)`
`TRenewDelegationTokenResp`
TCLIService.Client.`RenewDelegationToken(TRenewDelegationTokenReq req)`
`TRenewDelegationTokenResp`
TCLIService.Iface.`RenewDelegationToken(TRenewDelegationTokenReq req)`
`void`
TCLIService.Client.`send_RenewDelegationToken(TRenewDelegationTokenReq req)`
`TCLIService.RenewDelegationToken_args`
TCLIService.RenewDelegationToken_args.`setReq(TRenewDelegationTokenReq req)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TRenewDelegationTokenReq
Modifier
Constructor
Description
``
`RenewDelegationToken_args(TRenewDelegationTokenReq req)`
``
`RenewDelegationToken_call(TRenewDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TRenewDelegationTokenResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`
``
`TRenewDelegationTokenReq(TRenewDelegationTokenReq other)`
Performs a deep copy on other.